# issueMembershipCredEIP712()

### How to use?

```typescript
import { getVESSKit,getPkhDIDFromAddress } from 'vess-kit-node'

const provider:any // any ethereum provider that is already connected
const signer = provider.getSigner()
const isDev:boolean = true
const issuerAddress = "0x....."
const did = "did:pkh:eip155:1:0x......."
const subject = {
          id: did,
          ...other props
          }
          
const vess = getVESSKit()

// connect to ComposeDB
await vessKit.connect(
          issuerAddress,
        async (message) => {
          const signed = await signer.signMessage(message)
          return signed
        },
        !isDev ? 'mainnet' : 'testnet-clay',
      )

const vcs = await vessKit.issueMembershipCredEIP712(
          provider,
          getPkhDIDFromAddress(issuerAddress),
          [subject],
          expirationDate,
        )
```

### Parameters

```typescript
provider: Web3Provider,
issuerDid: string,
credentialSubjects: CredentialSubjectProp[],
expirationDate?: string
```

### Return

Promise\<VsVerifiableCredential\[]>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.vess.id/vess-sdk/api-documentation/v2/create/issuemembershipcredeip712.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
